from byubit import Bit


def go_red(bit):
    """

    :param bit: a bit world
    :return: nothing

    Paint red until you hit the end of the world
    """
    while bit.front_clear():
        bit.move()
        bit.paint("red")


def go_green(cosmo):
    """
    :param cosmo: a bit world
    :return: nothing

    Bit moves in the direction it is already facing and goes until it is blocked in front.
    Bit paints each square green, except for the starting square.
    """
    while cosmo.front_clear():
        cosmo.move()
        cosmo.paint('green')


@Bit.run_from_empty(5, 3)
def go_green_and_red(bit):
    go_green(bit)
    bit.left()
    go_green(bit)


